#!/bin/bash

# Checking Arguments

if [ $# -ne 2 ]
then

echo "Usage: enlist_slaves.sh [HOST_ADDR] [HOST_PORT]" 

else

######################################################################
# Import Variables
######################################################################
source variables.sh

######################################################################
# Enlist Nodes 
######################################################################

echo 'Beginning to enlist slaves ...'
for node in $nodes
do
	echo 'Enlisting' $node '...'
	gcloud compute ssh $node --zone $farmZone --command "nohup java -jar XTEAMSlave.jar $1 $2 >& enlist.log.$node" &	
done

echo 'Slave enlisting completed.'

fi
