#!/bin/bash

######################################################################
# Import Variables
######################################################################
source variables.sh

######################################################################
# Enlist Nodes 
######################################################################

echo 'Beginning to kill slaves ...'
for node in $nodes
do
	echo 'Killing' $node '...'
	gcloud compute ssh $node --zone $farmZone --command "killall -9 java" & 	
done

echo 'Slave killing completed.'

