#!/bin/bash

######################################################################
# Node Configurations
######################################################################

# Number of instances
numNodes=10

# Instance names
nodes=$(eval echo slaveus{01..$(($numNodes))})

echo 'List of GCE instances:'
echo $nodes

######################################################################
# Google Compute Engine Configurations
######################################################################

# GCE machine type
machineType="n1-highcpu-2"

# OS image ID
imageID="ubuntu-14-04"

# GCE Farm Zone
farmZone="us-central1-a"

# Slave Manager Host Address
host=[SLAVE MANAGER HOST ADDRESS HERE]

# Slave Manager Port
port=[SLAVE MANAGER]
